<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>dingsda2mex Item Preview</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>

</head>
<body>
    <div id="app">
        <div id="referrerbanner">
            <img src="https://next.dingsda.uber.space/img/logo.8399945f.svg" alt="logo dingsda" width="100px">
            <br><br>
            You are looking at a public item from next.dingsda.uberspace.de <br>
            <br>
            If you have an account (or want to create one) and want to visit it inside the app, click
            <a :href="'https://next.dingsda.uber.space/Detail?id='+item?.id">here</a>.<br>
            <br>
            If you want to borrow the item, you can <b>contact the owners</b> as follows:<br>
            <br>
            {{item?.contactDetailsOfOwners.split(",")[0] || "-- Sorry: the owners did not specify a way to contact them --"}}
        </div>
        <br>
        <div>
            <div style="display: flex;">
                <img v-for="picture in item?.pictures" height="400" :src="picture" alt="image of item">
            </div>
            <h1>{{item?.name}}</h1>
            <p>owned by: {{item?.owned.toString()}}</p>
            <p>{{item?.description}}</p>
            <p :if="item?.['location.geoJSON']">
                <a :href="'https://geojson.io/#data=data:application/json,'+item?.['location.geoJSON']">location/area</a>
            </p>
            <!-- <pre>{{JSON.stringify(item, null, 4)}}</pre> -->
        </div>
    </div>
    
</body>
<script>
    const { createApp,ref } = Vue

    createApp({
        setup() {
            let targeturl = new URL(window.location);
            let item = ref(null);

            targeturl.searchParams.set("forceJson",true);

            async function init(){
                await fetch(targeturl.href,{method:'GET',headers: {
                    'Accept': 'application/json',
                    'Content-Type': 'application/json',
                }}).then(async (res)=> {
                    //console.log(res.body);
                    let data = await res.json();
                    console.log(data);
                    item.value = data;
                });
            }
            init();
            return {
                item,
            }
        }
    }).mount('#app')
</script>
</html>

<style>
    html{
        font-family: Arial, Helvetica, sans-serif;
    }

</style>